Bug 1267869 - (CVE-2015-8076) CVE-2015-8076 cyrus-imapd: Out of bounds heap read in index_urlfetch
CVE-2015-8076 cyrus-imapd: Out of bounds heap read in index_urlfetch
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150618,reported=2...
: Security
Depends On: 1267871
Blocks: 1267870
  Show dependency treegraph
 
Reported: 2015-10-01 05:15 EDT by Adam Mariš
Modified: 2015-11-20 18:25 EST (History)
5 users (show)

See Also:
Fixed In Version: cyrus-imapd 2.4.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-16 08:57:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-10-01 05:15:46 EDT
A security fix in 2.4.18 version appeared that handles urlfetch range starting outside message range, causing information disclosure (out of bounds heap read).

Upstream patch:

https://cyrus.foundation/cyrus-imapd/commit/?id=07de4ff1bf2fa340b9d77b8e7de8d43d47a33921

Later there appeared another related commit:

https://cyrus.foundation/cyrus-imapd/commit/?id=c21e179c1f6b968fe69bebe079176714e511587b

CVE request:

http://seclists.org/oss-sec/2015/q3/646
Comment 1 Adam Mariš 2015-10-01 05:18:53 EDT
Created cyrus-imapd tracking bugs for this issue:

Affects: fedora-all [bug 1267871]
Comment 3 Adam Mariš 2015-11-05 05:39:07 EST
CVE assignment:

http://seclists.org/oss-sec/2015/q4/223
Comment 4 Fedora Update System 2015-11-17 10:53:24 EST
cyrus-imapd-2.4.18-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-11-17 13:24:33 EST
cyrus-imapd-2.4.18-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-11-20 18:25:41 EST
cyrus-imapd-2.4.18-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.